//FirstView Component Constructor
function FirstView() {
	//create object instance, a parasitic subclass of Observable
	var self = Ti.UI.createView();

	//label using localization-ready strings from <app dir>/i18n/en/strings.xml
	var label = Ti.UI.createButton({
		color : '#000000',
		title : "hug me!",
		height : 'auto',
		width : 'auto'
	});
	self.add(label);

	//Add behavior for UI
	label.addEventListener('click', function(e) {
		
		var getgroup = function(groupname){
			var mygroup = Ti.Contacts.getAllGroups();
			for (var i in mygroup){
				if (groupname == mygroup[i].name){
					return mygroup[i];
				}
			}
		};
		
		var performAddressBookFunction = function() {
			
			
			
			alert('creating group');
			Ti.Contacts.createGroup({
				name : "mygroup"
			});
			Ti.Contacts.save();
			alert("Group saved - now adding person");
			var people = Ti.Contacts.getAllPeople();
			alert('Saving contact...');
			var myperson = Ti.Contacts.createPerson({
				firstName : 'Paul',
				lastName : 'Dowsett',
				address : {
					work : [{
						CountryCode : 'gb', // determines how the address is displayed
						Street : '200 Brook Drive\nGreen Park',
						City : 'Reading',
						County : 'Berkshire',
						Country : 'England',
						ZIP : 'RG2 6UB'
					}, {
						CountryCode : 'gb', // determines how the address is displayed
						Street : '1 St Pauls Road\nClerkenwell',
						City : 'City of London',
						State : 'London',
						Country : 'England',
						ZIP : 'EC1 1AA'
					}],
					home : [{
						CountryCode : 'gb', // determines how the address is displayed
						Street : '2 Boleyn Court',
						City : 'London',
						State : 'Greenwich',
						Country : 'England',
						ZIP : 'SE10'
					}]
				},
				birthday : '2012-01-01T12:00:00.000+0000',
				instantMessage : {
					home : [{
						service : 'AIM',
						username : 'leisureAIM'
					}, {
						service : 'MSN',
						username : 'no_paul_here@msn.com'
					}],
					work : [{
						service : 'AIM',
						username : 'seriousAIM'
					}]
				},
				organization : 'Appcelerator',
				phone : {
					mobile : ['07900 000001', '07900 000002'],
					work : ['+44 (0)118 925 6128', '+44 (0)118 000 0000']
				}
				
			});
			alert("Person saved - now adding person: "+myperson.fullName);
			var group = getgroup("mygroup");
			group.add(myperson);
			Ti.Contacts.save();
			//return;
			alert("Person added - now deleting group");
			var mygroup = Ti.Contacts.getAllGroups();
			var group = getgroup("mygroup");
			alert(mygroup.length + " Groups available - deleting 'mygroup'");
			Ti.Contacts.removeGroup(group);
			Ti.Contacts.save();
			var mygroup = Ti.Contacts.getAllGroups();
			alert(mygroup.length + " Groups available after deleting");
		};
		var addressBookDisallowed = function() {
			alert("no access!");
		};
		if (Ti.Contacts.contactsAuthorization == Ti.Contacts.AUTHORIZATION_AUTHORIZED) {
			performAddressBookFunction();
		} else if (Ti.Contacts.contactsAuthorization == Ti.Contacts.AUTHORIZATION_UNKNOWN) {
			Ti.Contacts.requestAuthorization(function(e) {
				if (e.success) {
					performAddressBookFunction();
				} else {
					addressBookDisallowed();
				}
			});
		} else {
			addressBookDisallowed();
		}
	});

	return self;
}

module.exports = FirstView;
